## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExpression::InvalidRelativeTokenPosition Class Reference

Exception class thrown when an invalid token position is encountered. More...

`#include <XPathExpression.hpp>`

Inheritance diagram for XPathExpression::InvalidRelativeTokenPosition

Collaboration diagram for XPathExpression::InvalidRelativeTokenPosition:

List of all members.

## Public Methods

- InvalidRelativeTokenPosition (int theOffset)
    Construct an InvalidRelativeTokenPosition object. More...
- virtual ~InvalidRelativeTokenPosition ()

## Detailed Description

Exception class thrown when an invalid token position is encountered.

## Constructor & Destructor Documentation

XPathExpression::InvalidRelativeTokenPosition::InvalidRelativeTokenPosition ( | int theOffset )

Construct an InvalidRelativeTokenPosition object.

Parameters:

  theOffset | the offset that caused the problem.

virtual XPathExpression::InvalidRelativeTokenPosition::~InvalidRelativeTokenPosition ( | )

The documentation for this class was generated from the following file:

- XPathExpression.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.